Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.group
Class CinemaGroupManager

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.cinema.group.CinemaGroupManager

public class CinemaGroupManager
extends Object

CinemaGroupManager.java Created: Mon May 22 17:36:04 2000

Version:
  $Id: CinemaGroupManager.java,v 1.9 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Field Summary
`static String` | `groupsName`
`static String` | `groupsOrder`

Constructor Summary
`CinemaGroupManager(CinemaGroupModule module)`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`void` | `clearGroups()`
`CinemaGroup` | `createNewGroup()`
`CinemaGroup` | `createNewGroup(String name)`
`CinemaGroup` | `createNewGroup(String name, Color colour)`
`protected void` | `firePropertyChange(PropertyChangeEvent event)`
`protected void` | `firePropertyChange(String propertyName, int oldValue, int newValue)`
`protected void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
`CinemaGroup[]` | `getAllGroups()`
`CinemaGroup` | `getGroupByName(String name)` Returns group with name or null
`CinemaGroup` | `getGroupContaining(GappedSequence seq)`
`String` | `getVersion()`
`boolean` | `hasListeners(String propertyName)`
`void` | `removeGroup(CinemaGroup group)`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`void` | `swapGroupOrder(int a, int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupsName

    public static final String groupsName

See Also:
  Constant Field Values

### groupsOrder

    public static final String groupsOrder

See Also:
  Constant Field Values

Constructor Detail

### CinemaGroupManager

    public CinemaGroupManager(CinemaGroupModule module)

Method Detail

### getAllGroups

    public CinemaGroup[] getAllGroups()

### getGroupByName

    public CinemaGroup getGroupByName(String name)

  Returns group with name or null

### createNewGroup

    public CinemaGroup createNewGroup(String name,
                                      Color colour)

### createNewGroup

    public CinemaGroup createNewGroup(String name)

### createNewGroup

    public CinemaGroup createNewGroup()

### getGroupContaining

    public CinemaGroup getGroupContaining(GappedSequence seq)

### removeGroup

    public void removeGroup(CinemaGroup group)

### swapGroupOrder

    public void swapGroupOrder(int a,
                               int b)

### clearGroups

    public void clearGroups()

### getVersion

    public String getVersion()

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName,
                                          PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName,
                                             PropertyChangeListener listener)

### firePropertyChange

    protected void firePropertyChange(String propertyName,
                                      Object oldValue,
                                      Object newValue)

### firePropertyChange

    protected void firePropertyChange(String propertyName,
                                      int oldValue,
                                      int newValue)

### firePropertyChange

    protected void firePropertyChange(PropertyChangeEvent event)

### hasListeners

    public boolean hasListeners(String propertyName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD